import { inject, Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root',
})
export class TransactionService {
  private http: HttpClient = inject(HttpClient);

  public getUsersTransactions(limit: number|null = null) {
    const baseUrl = '/backend/user/transactions';

    if (limit !== null) {
      return this.http.get<any[]>(`${baseUrl}?limit=${limit}`);
    }

    return this.http.get<any[]>(`${baseUrl}`);
  }
}
